package org.foxarmy.barcodescannerforemployees.activities

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import org.foxarmy.barcodescannerforemployees.R
import org.foxarmy.barcodescannerforemployees.databinding.ActivityExpiryCalendarGroupBinding
import org.foxarmy.barcodescannerforemployees.fragments.ShelfFragment

class ExpiryCalendarGroupActivity : AppCompatActivity() {
    private lateinit var binding: ActivityExpiryCalendarGroupBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = ActivityExpiryCalendarGroupBinding.inflate(layoutInflater)

        val date = intent.extras!!.getLong("date")

        val ft = supportFragmentManager.beginTransaction()
        ft.replace(R.id.content, ShelfFragment.newInstance(date))
        ft.commit()
        setContentView(binding.root)

    }
}